Update device verification status for a user accountput https://example.com/programs/{programCode}/updateDeviceVerificationUpdates the device verification status for a user account.Path ParamsprogramCodestringrequiredThe program code identifying the BaaS program context.Body Paramsapplication/json-patch+jsonapplication/jsontext/jsonapplication/*+jsonThe request payload containing update details. DeviceVerificationRequestKey: The key for the device verification request. EventType: The type of device verification event. AccountIdentifier: The account identifier (optional). UserIdentifier: The user identifier (optional). TransferIdentifier: The transfer identifier (optional). Represents a request to update a device verification record or status. Contains the verification request key, event type, and related identifiers. Inherits standard request metadata from Gd.Bos.DataTransfer.Request.RequestBase.deviceVerificationRequestKeyint64requiredThe unique key identifying the device verification request to update.eventTypestringenumrequiredThe event type for device verification (e.g., GuestCheckOut, Enrollment, Login, PreLoginCardActivation). Uses Gd.Bos.DataTransfer.Enums.DeviceVerificationEventType to specify the verification scenario.GuestCheckOutEnrollmentLoginPreLoginCardActivationAllowed:GuestCheckOutEnrollmentLoginPreLoginCardActivationaccountIdentifierstring | nullThe unique identifier for the account associated with the device verification.userIdentifierstring | nullThe unique identifier for the user associated with the device verification.transferIdentifierstring | nullThe unique identifier for the transfer associated with the device verification, if applicable.HeadersX-GD-RequestIdstringrequiredA unique request identifier for tracking and logging. Should be a GUID.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsoncontent-typestringenumDefaults to application/json-patch+jsonGenerated from available request content typesapplication/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonAllowed:application/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 6 months ago Verify a device for a user accountDirectDepositDid this page help you?YesNo